$LastChangedDate: 27-Juil-2011 $

# CL_kp_v2E

True anomaly to eccentric anomaly

## Calling Sequence

       E = CL_kp_v2E(ecc,v)

## Description

- Computes eccentric anomaly from true anomaly and eccentricity for elliptical and hyperbolic orbits.

## Parameters

v:

  True anomaly [rad] (PxN or Px1)

ecc:

  Eccentricity (PxN or Px1)

E:

  Eccentric anomaly. Undefined (%nan) if the true anomaly is not in the correct range. [rad] (PxN)

## Authors

- CNES - DCT/SB

## Bibliography

- 1) Orbital Mechanics for Engineering Students, H D Curtis, Chapter 3, equation 3.10a

- 2) Mecanique spatiale, CNES - Cepadues 1995, Tome I, section 4.6.6, page 179

## See also

- CL_kp_M2Ecir

- CL_kp_M2E

- CL_kp_E2v

## Examples

    // consistency test
    v=[3.4794 5.7281];
    ecc=[0.37255 0.55];
    E = CL_kp_v2E(ecc,v);
    v2 = CL_kp_E2v(ecc,E);